#!/usr/bin/bash -xv
########################################################################
# File: test.bash
# 	(Extracted from
#	   "$Id: test.bash,v 1.2 2005/10/18 16:40:56 maoyam Exp maoyam $")
#
# Abstracts:
#  This bash script runs the floating_point test programs.
#
# Copyright (C) 2005 Maoyam Tokyo, Japan (mailto:maoyam@mail.goo.ne.jp)
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#
########################################################################

for e in floating_point.*.exe; do
	(date; uname -a; gcc --version; echo ${e}; echo "";
		time ./${e}  < /dev/null; date
		) > ${e}.$(date '+%Y%m%d').txt 2>&1;
done;

exit $?;
